Bug 253699 - NetworkManager doesn't always get IP address coming out of suspend
NetworkManager doesn't always get IP address coming out of suspend
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-21 07:08 EDT by David Campbell
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:12:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages text from suspend through resume, DHCP fails (21.69 KB, text/plain)
2007-08-21 07:08 EDT, David Campbell
no flags Details

  None (edit)
Description David Campbell 2007-08-21 07:08:02 EDT
Description of problem:

When coming out of suspend, Network Manager frequently fails to get DHCP address
with long delay, where an ifdown and ifup at the commandline makes it work
immediately.

Version-Release number of selected component (if applicable):

NetworkManager-0.6.5-7.fc7

How reproducible:

intermittent

Steps to Reproduce:
1. Suspend computer with one network connected
2. Resume computer with another network connected giving different DHCP address
  
Actual results:

Sometimes ends up not getting DHCP address from router...gets 169.254.x.x
address instead.

Getting 169.254.x.x forces manual intervention with ifup and ifdown, with in
turn brings on the bug in
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=252270

Expected results:

Should always get DHCP address...I shouldn't have to manually intervene with
ifdown and ifup.  Router clearly is able to issue addresses as using ifdown and
then ifup works fine.

Additional info:

I will attach log messages showing the events
Comment 1 David Campbell 2007-08-21 07:08:02 EDT
Created attachment 161962 [details]
/var/log/messages text from suspend through resume, DHCP fails
Comment 2 Dan Williams 2008-04-22 15:05:27 EDT
Is this still an issue with NM 0.6.6 from F7 updates?  There have been some
suspend/resume fixes in this version.
Comment 3 Bug Zapper 2008-05-14 10:04:09 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 22:12:38 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.